1234567891011121314151617181920212223242526272829303132333435 |
- #!/bin/bash
- #
- # Copyright (C) 2012 The Android Open Source Project
- #
- # Licensed under the Apache License, Version 2.0 (the "License");
- # you may not use this file except in compliance with the License.
- # You may obtain a copy of the License at
- #
- # http://www.apache.org/licenses/LICENSE-2.0
- #
- # Unless required by applicable law or agreed to in writing, software
- # distributed under the License is distributed on an "AS IS" BASIS,
- # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- # See the License for the specific language governing permissions and
- # limitations under the License.
- #
- # Runs the update engine unit tests, including both userland and run-as-root
- # tests.
- if [ ! -e ./update_engine_unittests ]; then
- echo 'Error: unit test binary missing' >&2
- exit 1
- fi
- user_pass=0
- ./update_engine_unittests --gtest_filter='-*.RunAsRoot*' && user_pass=1
- root_pass=0
- sudo ./update_engine_unittests --gtest_filter='*.RunAsRoot*' && root_pass=1
- echo -n "User tests: " && [ $user_pass == 1 ] && echo "PASSED" || echo "FAILED"
- echo -n "Root tests: " && [ $root_pass == 1 ] && echo "PASSED" || echo "FAILED"
- exit $((2 - user_pass - root_pass))
|